{"openapi":"3.0.4","info":{"title":"Download a Luminesce Binary you may run on-site","description":"\nDownloads the latest version (or specific if needs be) of the specified Luminesce Binary, given the required entitlements.\n\n> This endpoint is an alternative to time-consuming manual distribution via Drive or Email.\n> it relies on an underlying datastore that is not quite as \"Highly Available\" to the degree \n> that FINBOURNE services generally are.  \n> Thus it is not subject to the same SLAs as other API endpoints are.\n> *If you perceive an outage, please try again later.*\n\nOnce a file has been downloaded the following steps can be used to install it (for the dotnet tools at least):\n\n(1) Open a terminal and cd to the directory you downloaded it to\n\n(2) Install / extract files from that package via:\n\n```\ndotnet tool install NameOfFileWithoutVersionNumberOrExtension -g --add-source \".\"\n```\ne.g.\n```\ndotnet tool install Finbourne.Luminesce.DbProviders.Oracle_Snowflake -g --add-source \".\"\n```\nMore information on the installations can be found [here](https://support.lusid.com/docs/how-do-i-use-the-luminesce-cli).\n\n(3) Execute them (see documentation for specific binary, e.g. [Sql.Db.Mine](https://support.lusid.com/docs/readwrite-to-sql-databases-sqldbmine) or [CLI](https://support.lusid.com/docs/how-do-i-use-the-luminesce-cli)).\n\nThe installed binaries can then be found in\n- Windows - `%USERPROFILE%\\.dotnet\\tools\\.store\\`\n- Linux/macOS - `$HOME/.dotnet/tools/.store/`\n\nNote that the binaries all require the dotnet runtime to be installed.\n- `dotnet10` is required for all versions `1.22.X+`\n- `dotnet8` is required for all versions `1.21.X`\n\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 400 BadRequest - binary file is not available for some reason (e.g. permissions or invalid version)\n- 401 Unauthorized\n- 403 Forbidden\n","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/honeycomb"}],"paths":{"/api/Download/download":{"get":{"tags":["Binary Downloading"],"summary":"Download a Luminesce Binary you may run on-site","description":"\nDownloads the latest version (or specific if needs be) of the specified Luminesce Binary, given the required entitlements.\n\n> This endpoint is an alternative to time-consuming manual distribution via Drive or Email.\n> it relies on an underlying datastore that is not quite as \"Highly Available\" to the degree \n> that FINBOURNE services generally are.  \n> Thus it is not subject to the same SLAs as other API endpoints are.\n> *If you perceive an outage, please try again later.*\n\nOnce a file has been downloaded the following steps can be used to install it (for the dotnet tools at least):\n\n(1) Open a terminal and cd to the directory you downloaded it to\n\n(2) Install / extract files from that package via:\n\n```\ndotnet tool install NameOfFileWithoutVersionNumberOrExtension -g --add-source \".\"\n```\ne.g.\n```\ndotnet tool install Finbourne.Luminesce.DbProviders.Oracle_Snowflake -g --add-source \".\"\n```\nMore information on the installations can be found [here](https://support.lusid.com/docs/how-do-i-use-the-luminesce-cli).\n\n(3) Execute them (see documentation for specific binary, e.g. [Sql.Db.Mine](https://support.lusid.com/docs/readwrite-to-sql-databases-sqldbmine) or [CLI](https://support.lusid.com/docs/how-do-i-use-the-luminesce-cli)).\n\nThe installed binaries can then be found in\n- Windows - `%USERPROFILE%\\.dotnet\\tools\\.store\\`\n- Linux/macOS - `$HOME/.dotnet/tools/.store/`\n\nNote that the binaries all require the dotnet runtime to be installed.\n- `dotnet10` is required for all versions `1.22.X+`\n- `dotnet8` is required for all versions `1.21.X`\n\nThe following error codes are to be anticipated with standard Problem Detail reports:\n- 400 BadRequest - binary file is not available for some reason (e.g. permissions or invalid version)\n- 401 Unauthorized\n- 403 Forbidden\n","operationId":"DownloadBinary","parameters":[{"name":"type","in":"query","description":"Type of binary to download (each requires separate licenses and entitlements)","schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LuminesceBinaryType"},"example":"SqlDb_Providers_Oracle_Snowflake","x-nullable":true},{"name":"version","in":"query","description":"An explicit version of the binary.  Leave blank to get the latest version (recommended)","schema":{"type":"string"}}],"responses":{"200":{"description":"The .nupkg or .msi file of the requested binary","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/luminesce/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}